--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Inside a template, wraps a block of code properly in modules, keeping the indentation correct
- !ruby/struct:SM::Flow::P 
  body: "@param modules&lt;Array[#to_s]&gt; an array of modules to use for nesting @option indent&lt;Integer&gt; number of integers to indent the modules by"
full_name: Merb::Generators::Generator#with_modules
is_singleton: false
name: with_modules
params: (modules, options={}, &block)
visibility: public
